CVE-2018-19115

Priority
Description
keepalived before 2.0.7 has a heap-based buffer overflow when parsing HTTP
status codes resulting in DoS or possibly unspecified other impact, because
extract_status_code in lib/html.c has no validation of the status code and
instead writes an unlimited amount of data to the heap.
Assigned-to
mdeslaur
Package
Upstream:released (2.0.9)
Ubuntu 12.04 ESM (Precise Pangolin):needed
Ubuntu 14.04 LTS (Trusty Tahr):needed
Ubuntu 16.04 LTS (Xenial Xerus):needed
Ubuntu 18.04 LTS (Bionic Beaver):needed
Ubuntu 18.10 (Cosmic Cuttlefish):needed
Ubuntu 19.04 (Disco Dingo):not-affected (1:2.0.10-1)
Ubuntu 19.10 (Eoan):not-affected (1:2.0.10-1)
Patches:
Upstream:https://github.com/acassen/keepalived/commit/f28015671a4b04785859d1b4b1327b367b6a10e9
More Information

Updated: 2019-04-22 21:34:08 UTC (commit 750f6738e68600bdf0b7c7ef543b49378c330e4e)